Skip to main content
GET
/
api
/
v0
/
instances
/
{id}
/
ssh
show ssh-keys
curl --request GET \
  --url https://console.vast.ai/api/v0/instances/{id}/ssh \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.vast.ai/api/v0/instances/{id}/ssh"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.vast.ai/api/v0/instances/{id}/ssh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "ssh_keys": "[{\"id\": 1, \"name\": \"my-key\", \"public_key\": \"ssh-rsa AAAA...\"}]"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

The ID of the instance to retrieve SSH keys for.

Response

Success response with SSH keys

success
boolean
Example:

true

ssh_keys
string

JSON string containing array of SSH key objects

Example:

"[{\"id\": 1, \"name\": \"my-key\", \"public_key\": \"ssh-rsa AAAA...\"}]"